Bug 65355 - [4.2]: default to %defattr(-,root,root)
[4.2]: default to %defattr(-,root,root)
Status: CLOSED UPSTREAM
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm-build (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-05-22 13:33 EDT by R P Herrold
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 07:47:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-05-22 13:33:00 EDT
Per mailing list:



Date: Wed, 22 May 2002 09:21:18 -0400

From: Jeff Johnson <jbj@redhat.com>

Reply-To: rpm-list@redhat.com

To: rpm-list@redhat.com

Subject: [rh-rpm] Re: Making rpm default to %defattr(-,root,root)?



On Wed, May 22, 2002 at 01:55:54PM +0300, Panu Matilainen wrote:

> Hi,

> 

> Call me lazy (which I am :) but I think it'd be nice if rpm defaulted to 

> %defattr(-,root,root) in the %files section. At least I tend to forget to 

> specify that especially in subpackages (like -devel) which then leads to 

> "user foo not existing" warnings when installing the package. Afterall 

> most packages use that anyway, specifying another user in there is 

more a 

> special case than having the files owned by root.

> 



Personally, I think that making %defattr(-,root,root) the default behavior

is long overdue. Ditto



===============================

From mailing list

-- Russ Herrold
Comment 1 Jeff Johnson 2002-07-25 08:26:32 EDT
This ain't gonna happen for rpm-4.1, deferred
to rpm-4.2.
Comment 2 R P Herrold 2003-04-26 00:12:53 EDT
... or perhaps rpm-4.3 ?  <smile>
Comment 3 Jens Petersen 2003-10-26 21:52:56 EST
I vote for this too!
Comment 4 Jeff Johnson 2004-12-13 07:47:45 EST
This is in rpm-4.4. iirc.

Note You need to log in before you can comment on or make changes to this bug.